umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Properties
- Related Symbols

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all functions with links to the classes they belong to:

### - o -

- object() : Uml::CmdBaseObjectCommand, UMLRole
- objectModified() : RefactoringAssistant
- ObjectNodeDialog() : ObjectNodeDialog
- objectNodeType() : ObjectNodeWidget
- ObjectNodeWidget() : ObjectNodeWidget
- ObjectsModel() : ObjectsModel
- objectsModel() : UMLDoc
- ObjectsWindow() : ObjectsWindow
- ObjectWidget() : ObjectWidget
- objectWidget() : MessageWidget, PreconditionWidget
- okClicked() : MultiPageDialogBase
- onAssocClassLine() : AssociationWidget
- onAssociation() : AssociationWidget
- onDestructionBox() : SeqLineWidget
- onInit() : Umbrello::Plugin
- onLine() : FloatingDashLineWidget
- onShutdown() : Umbrello::Plugin
- onWidget() : AssociationWidget, AssociationWidgetRole, ClassifierWidget, FloatingTextWidget, MessageWidget, PinPortBase, SeqLineWidget, WidgetBase
- onWidgetDestructionBox() : UMLScene
- onWidgetLine() : UMLScene
- openDocument() : UMLDoc
- openDocumentFile() : UMLApp
- openFile() : CodeGenerator
- openFileInEditor() : UMLAppPrivate
- operation() : AssociationWidget, LinkWidget, MessageWidget
- operationAdded() : RefactoringAssistant, UMLClassifier
- operationOwner() : AssociationWidget, LinkWidget, MessageWidget
- operationRemoved() : RefactoringAssistant, UMLClassifier
- operations() : UMLClassifier
- operationSignature() : ClassifierWidget
- OperationsReader() : Import_Rose::OperationsReader
- operationText() : LinkWidget
- operator!=() : AssociationWidget
- operator%() : comments_class_operators_test
- operator&&() : comments_class_operators_test
- operator*() : comments_class_operators_test
- operator+() : comments_class_operators_test
- operator+=() : IDChangeLog
- operator-() : comments_class_operators_test
- operator/() : comments_class_operators_test
- operator=() : CppTree2Uml, DiagramProxyWidget, IDChangeLog, UMLWidget, WidgetBase
- operator==() : AssociationWidget, IDChangeLog, UMLAssociation, UMLAttribute, UMLCanvasObject, UMLCheckConstraint, UMLEntity, UMLEntityAttribute, UMLEntityConstraint, UMLEnum, UMLEnumLiteral, UMLForeignKeyConstraint, UMLObject, UMLOperation, UMLRole, UMLStereotype, UMLTemplate, UMLUniqueConstraint, UMLWidget
- operator|() : comments_class_operators_test
- operator||() : comments_class_operators_test
- optimizeLinePoints() : AssociationLine
- OptionState() : Settings::OptionState
- optionState() : UMLScene
- orientation() : ForkJoinWidget
- origin() : LayoutGenerator
- originType() : UMLDatatype
- overwritableName() : CodeGenerator, SimpleCodeGenerator
- OverwriteDialog() : OverwriteDialog
- overwriteToWidget() : CodeGenOptionsPage
- OwnedCodeBlock() : OwnedCodeBlock
- OwnedHierarchicalCodeBlock() : OwnedHierarchicalCodeBlock
- ownerWidget() : ChildWidgetPlacement, PinPortBase, PortWidget